				
<?PHP
$_OPTIMIZATION["title"] = "Аккаунт - Ежедневный бонус";
$usid = $_SESSION["user_id"];
$uname = $_SESSION["user"];

# Настройки бонусов
$bonus_min = 5;
$bonus_max = 50;

?>

</div>
								</div>
								</div>
<div class="cl-right">
<div class="s-bk-lf">
	<div class="acc-title">Ежедневный бонус</div>
</div>
<BR />
<div class="silver-bk">
<font color = 'Yellow'>
<BR />

Бонус выдаётся 1 раз в 24 часа. <BR />
Бонус выдается в <font color="blue">кредитах</font> на счет для покупок. <BR />
Сумма бонуса генерируется случайно от <font color="lime"><b><?=$bonus_min;?></b></font> до <font color="lime"><b><?=$bonus_max;?></b></font> <font color="blue">кредитов</font>.
<BR /><BR />
<?PHP
$ddel = time() + 60*60*24;
$dadd = time();
$db->Query("SELECT COUNT(*) FROM db_bonus_list WHERE user_id = '$usid' AND date_del > '$dadd'");

$hide_form = false;

	if($db->FetchRow() == 0){
	
		# Выдача бонуса
		if(isset($_POST["bonus"])){
		
			$sum = rand($bonus_min, rand($bonus_min, $bonus_max) );
			
			# Зачилсяем юзеру
			$db->Query("UPDATE db_users_b SET money_b = money_b + '$sum' WHERE id = '$usid'");
			
			# Вносим запись в список бонусов
			
			
			$db->Query("INSERT INTO db_bonus_list (user, user_id, sum, date_add, date_del) VALUES ('$uname','$usid','$sum','$dadd','$ddel')");
			
			# Случайная очистка устаревших записей
			$db->Query("DELETE FROM db_bonus_list WHERE date_del < '$dadd'");
			
			echo "<center><font color = 'lime'><b>На Ваш счет для покупок зачислен бонус в размере {$sum} серебра</b></font></center><BR />";
			echo '<meta http-equiv="refresh" content="1;URL=http://bionicos.ru/account/bonus">';
			$hide_form = true;
			
		}
			
			# Показывать или нет форму
			if(!$hide_form){
?>
<style>

/* Pulse */
@-webkit-keyframes pulse {
  25% {
    -webkit-transform: scale(1.1);
    transform: scale(1.1);
  }

  75% {
    -webkit-transform: scale(0.9);
    transform: scale(0.9);
  }
}

@keyframes pulse {
  25% {
    -webkit-transform: scale(1.1);
    transform: scale(1.1);
  }

  75% {
    -webkit-transform: scale(0.9);
    transform: scale(0.9);
  }
}

.pulse {
  display: inline-block;
  -webkit-transform: translateZ(0);
  transform: translateZ(0);
  box-shadow: 0 0 1px rgba(0, 0, 0, 0);
}
.pulse:hover, .pulse:focus, .pulse:active {
  -webkit-animation-name: pulse;
  animation-name: pulse;
  -webkit-animation-duration: 1s;
  animation-duration: 1s;
  -webkit-animation-timing-function: linear;
  animation-timing-function: linear;
  -webkit-animation-iteration-count: infinite;
  animation-iteration-count: infinite;
}
.button {
margin-top: 0px;
 margin-left: 80 px;
     background: black;
    color: #fff;
    box-shadow: 0 6px yellow;
    -webkit-transition: none;
    -moz-transition: none;
    transition: none;
	   border-radius: 40px;
	border: none;
    font-family: inherit;
    font-size: inherit;
    cursor: pointer;
padding: 15px 30px;
    display: inline-block;
    margin: 15px 30px;
    text-transform: uppercase;
    letter-spacing: 1px;
    font-weight: 700;
    outline: none;
    position: relative;
    -webkit-transition: all 0.3s;
    -moz-transition: all 0.3s;
    transition: all 0.3s;
}
.holder{
    position:relative;   
}
.
</style>
<center><span style="color: aqua; font-family: Verdana; font-size: 11pt; font-weight:bold;"><h3>Для того чтобы забрать бонус кликните по одному из заитересовавших Вас баннеров!<br/>
</span></h3>
<br/><br/>
<script>
var show;
function hidetxt(type){
param=document.getElementById(type);
if(param.style.display == "none") {
if(show) show.style.display = "none";
param.style.display = "block";
show = param;
}else param.style.display = "none"
}
</script>
<div style="width: 468px;" onclick="hidetxt('div1');">
<div id="linkslot_158809"><script src="https://linkslot.ru/bancode.php?id=158809" async></script></div>
 

<div style="display:none;" id="div1">

<form action="" method="post">
<table width="330" border="0" align="center">
  <tr>
    <td align="center"></td>
  </tr>
  <tr>
    <td align="center"><input type="submit" name="bonus" value="Получить бонус" class="button pluse"></td>
  </tr>
</table>
</form>
</center>


<?PHP
			}
			} else { ?>
	
<?php 
$db->Query("SELECT * FROM db_bonus_list WHERE user_id = '$usid'");
$ari = $db->FetchArray();
$sss = $ari["date_add"];
$sss1 = $sss + 60*60*24;
$sss2= date("M,j,Y,H:i:s",$sss1); 

echo '<center>Бонус будет доступен через: </center>';
?> 
<h3><span style="color: aqua;">
<SCRIPT language="JavaScript" type="text/javascript"> 
function fulltime () {
var time=new Date(); 
var newYear=new Date("<?=$sss2;?>"); 
var totalRemains=(newYear.getTime()-time.getTime()); 

if (totalRemains>1){

var RemainsSec = (parseInt(totalRemains/1000)); 
var RemainsFullDays=(parseInt(RemainsSec));

var hour = (parseInt(RemainsFullDays/3600));
var min = (parseInt(RemainsFullDays/60)-hour*60);
var sec = ((parseInt(RemainsFullDays))-((parseInt(RemainsFullDays/60))*60));

document.getElementById("RemainsFullDays").innerHTML=hour+" ч. "+min+" мин. "+sec+" сек. "; 
setTimeout('fulltime()',10)
} 

else{
document.getElementById("clock").innerHTML="Обновите страницу!"; 
document.getElementById("RemainsFullDays").style.display = 'none';
} 
} 
</SCRIPT> 
	<center>
	<div align="center"><span id="clock"></div>
	<div align="center"><b><span id="RemainsFullDays"></span></b></div><br></span>
<BR />



<SCRIPT language=JavaScript>fulltime();</SCRIPT>
<?PHP
	
	}?>
<table cellpadding='3' cellspacing='0' border='0' bordercolor='#336633' align='center' width="99%">
  <tr>
    <td colspan="5" align="center"><h4><span style="color: red;">Последние 20 бонусов</h4></td>
    </tr>
  <tr>
    <td align="center" class="m-tb"><font color = white>ID</td>
    <td align="center" class="m-tb"><font color = white>Пользователь</td>
	<td align="center" class="m-tb"><font color = white>Сумма</td>
	<td align="center" class="m-tb"><font color = white>Время</td>
  </tr>
  <?PHP

  $db->Query("SELECT * FROM db_bonus_list ORDER BY id DESC LIMIT 20");

	if($db->NumRows() > 0){

  		while($bon = $db->FetchArray()){

		?>
		<tr class="htt">
    		<td align="center"><font color = red><?=$bon["id"]; ?></td>
    		<td align="center"><font color = yellow><?=$bon["user"]; ?></td>
    		<td align="center"><font color = aqua><?=$bon["sum"]; ?></td>
			<td align="center"><font color = lime><?=date("d.m.Y"); ?></td>
  		</tr>
		<?PHP

		}

	}else echo '<tr><td align="center" colspan="5">Нет записей</td></tr>'
  ?>


</table>


</div>